<div class="flex flex-col flex-auto w-full bg-white">
    <div style="position: relative">
        <div style="
                background-image: url('../../assets/background.png');
                background-size: cover;
                background-repeat: no-repeat;
                height: 290px;
            ">
            <div class="flex flex-wrap w-full max-w-screen-xl mx-auto p-6 md:p-8">
                <div class="flex-grow flex justify-center">
                    <div class="relative flex items-center">
                        <div class="flex flex-col">
                            <div
                                class="flex-auto texts-center justify-center mx:auto my-20 mt-25 mx-6 py-2 sm:p-6 font-Semibold-40 text-indigo-900">
                                Transaction History
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br /><br />
        <div style="background-color: #ffffff">
            <div class="relative items-center justify-between w-full max-w-screen-xl mx-auto">
                <div class="flex w-full max-w-screen-xl mx-auto px-6">
                    <div id="transactionText2" class="w-3/4">
                        <div class="text-blue-900 font-Semibold-30">
                            Recent Transaction
                        </div>
                    </div>
                    <div class="w-1/4">
                        <div class="flex justify-end">
                            <mat-form-field appearance="outline" class="w-30">
                                <mat-select placeholder="All" [(ngModel)]="selectedOption" (selectionChange)="
                                        onOptionChange($event.value)
                                    ">
                                    <mat-option value="All">All</mat-option>
                                    <mat-option value="7">7 Days</mat-option>
                                    <mat-option value="30">30 Days</mat-option>
                                    <mat-option value="90">90 Days</mat-option>
                                    <mat-option value="120">120 Days</mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                    </div>
                </div>
                <div class="text-blue-900 flex w-full max-w-screen-xl justify-between mx-auto px-6">
                    <div class="flex items-center justify-between">
                        <div id="transaction01" class="flex space-x-4">
                            <button class="h-10 button-r0 w-15" mat-button (click)="onFilterSelect('All')">
                                <span class="font-Regular-16">All</span>
                            </button>
                            <button class="h-10 button-r0 w-20" mat-button (click)="onFilterSelect('F01')">
                                <span class="font-Regular-16">Top Up</span>
                            </button>
                            <button class="h-10 button-r0 w-24" mat-button (click)="onFilterSelect('F02')">
                                <span class="font-Regular-16">Withdrawal</span>
                            </button>
                            <button class="h-10 button-r0 w-15" mat-button (click)="onFilterSelect('F05')">
                                <span class="font-Regular-16">Buy</span>
                            </button>
                            <button class="h-10 button-r0 w-15" mat-button (click)="onFilterSelect('F06')">
                                <span class="font-Regular-16">Sell</span>
                            </button>
                            <button class="h-10 button-r0 w-20" mat-button (click)="onFilterSelect('F04')">
                                <span class="font-Regular-16">Redeem</span>
                            </button>
                            <button class="h-10 button-r0 w-20" mat-button (click)="onFilterSelect('F03')">
                                <span class="font-Regular-16">Transfer</span>
                            </button>
                        </div>
                    </div>
                </div>

                <ng-container *ngIf="
                        displayData && displayData.length > 0;
                        else noTransaction
                    ">
                    <div class="mx-auto mat-elevation-z8 flex w-full max-w-screen-xl justify-between mx-auto px-6 align-center"
                        style="box-shadow: none">
                        <table mat-table [dataSource]="displayData" class="mt-3" style="background-color: transparent">
                            <!-- Combined Column -->
                            <ng-container matColumnDef="transactionAmount">
                                <td mat-cell *matCellDef="let group" class="pt-3 pl-0">
                                    <ng-container *ngFor="let element of group">
                                        <ng-container *ngIf="element === group[0]">
                                            <b class="font-Medium-18" style="
                                                    color: #333333 !important;
                                                ">
                                                {{ group[0].transaction }}
                                            </b>
                                            <br />
                                        </ng-container>
                                        <p class="font-Medium-16 pt-2" style="color: #7b7b7b">
                                            <ng-container *ngIf="
                                                    element.uom === 'RM' ||
                                                    element.uom === '-RM'
                                                ">
                                                {{ element.uom
                                                }}{{
                                                element.amount
                                                | number : "1.2-2"
                                                }}
                                            </ng-container>
                                            <ng-container *ngIf="element.uom === 'g'">
                                                {{
                                                element.amount
                                                | number : "1.6-6"
                                                }}{{ element.uom }}
                                            </ng-container>
                                        </p>
                                    </ng-container>
                                </td>
                            </ng-container>

                            <!-- Date and Details Column -->
                            <ng-container matColumnDef="dateAndDetails">
                                <td mat-cell *matCellDef="let group" class="font-Regular-16 pr-0"
                                    style="text-align: right; color: #7b7b7b">
                                    {{
                                    group[0].created_date
                                    | date : "dd MMMM yyyy - hh:mm:ss a"
                                    }}
                                    <br />
                                    <button class="font-Regular-14 pt-3" style="color: #0038ff" (click)="
                                            getDetails(
                                                group[0].reference_id,
                                                group[0].transaction_code
                                            )
                                        ">
                                        View Details
                                    </button>
                                    <br />
                                    <p *ngIf="group[0].status_code === 'G01'" class="font-Regular-14 text-green-600">
                                        {{ group[0].status }}
                                    </p>
                                    <p *ngIf="group[0].status_code === 'G05'" class="font-Regular-14 text-orange-400">
                                        {{ group[0].status }}
                                    </p>
                                    <p *ngIf="group[0].status_code === 'G13'" class="font-Regular-14 text-red-600">
                                        {{ group[0].status }}
                                    </p>
                                    <p *ngIf="group[0].status_code === 'G02'" class="font-Regular-14 text-red-600">
                                        {{ group[0].status }}
                                    </p>
                                    <p *ngIf="group[0].status_code === 'G07'" class="font-Regular-14 text-red-600">
                                        {{ group[0].status }}
                                    </p>
                                </td>
                            </ng-container>

                            <tr mat-row *matRowDef="
                                    let row;
                                    columns: [
                                        'transactionAmount',
                                        'dateAndDetails'
                                    ]
                                "></tr>
                        </table>
                    </div>
                    <mat-paginator [pageSizeOptions]="[5, 10, 20]" [pageSize]="pageSize" [length]="totalItemsCount"
                        [pageIndex]="currentPageIndex" (page)="onPageChange($event)" showFirstLastButtons="false"
                        aria-label="Select page of transactions"
                        class="font-Medium-18 mb-10 flex w-full max-w-screen-xl justify-between mx-auto px-6"
                        style="background-color: transparent; color: #7b7b7b">
                    </mat-paginator>
                </ng-container>

                <ng-template #noTransaction>
                    <div class="justify-center items-center" style="display: flex">
                        <img class="object-center px-18 mt-8" src="assets/images/bgd/Transaction_History.svg" alt=""
                            style="width: 25%" />
                    </div>
                    <br />
                    <div class="text-center font-Medium-24">
                        No Transaction History
                    </div>
                    <br />
                    <div class="text-center font-Regular-16 font-7B7B7B">
                        Track all your cash wallet transactions<br />
                        in one place
                    </div>
                    <br /><br /><br /><br /><br />
                </ng-template>
            </div>
        </div>
    </div>
</div>